/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on ----
!  AUTHOR(S): KOGA, Junichiro
!  File : test.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */
package ciss.phase_viewer.pub.jeditsyntax;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

import javax.swing.JFrame;

public class test {
    public static void main(String[] args) {
        JEditTextArea ta = new JEditTextArea();
        ta.setTokenMarker(new JavaTokenMarker());
        ta.setCaretBlinkEnabled(true);
        String text = "";
        if (args == null || args.length == 0) {
            ta.setText("public class Test {\n"
                    + "    public static void main(String[] args) {\n"
                    + "        System.out.println(\"Hello World\");\n"
                    + "    }\n" + "}");
        } else {
            File file = new File(args[0]);
            if (!file.exists()) {
                System.out.println("file does not exist");
                System.exit(0);
            }
            try {
                BufferedReader reader = new BufferedReader(new FileReader(file));
                String line;
                while ((line = reader.readLine()) != null) {
                    text += line + System.getProperty("line.separator");
                }
                ta.setText(text);
            } catch (Exception exc) {
            }
        }

        JFrame frame = new JFrame();
        frame.getContentPane().add(ta);
        frame.setVisible(true);
    }
}
